EDIT - feature request #9747

Make languages editable in TaxEditor
09/07/2021 03:26 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: blocker

Description

Currently languages are not yet editable in TaxEditor.
For the CDM this is correct. But other languages should be editable.

We need an entry in the terms-vocabulary menu for this.

Related issues:
Related to EDIT - bug #9766: CDM vocabularies should not be editable Closed

Associated revisions

Revision fd958579 - 09/07/2021 03:28 PM - Andreas Miiller
ref #9747 add language to TermType.getEmptyDefinedTermBase

Revision 53e55562 - 09/13/2021 01:17 PM - Katja Luther
fix #9747: add language vocabulary editor

Revision 7a56df2b - 09/13/2021 01:27 PM - Andreas Miiller
ref #9747 add getCdmVocabularyUuids to Language

Revision b6d8f977 - 09/13/2021 01:39 PM - Andreas Miiller
ref #9747 add getCdmVocabularyUuids to Language

Revision 4871047 - 09/14/2021 09:57 AM - Katja Luther

fix #9747: use language uuid to check for managed cdm vocabulary

Revision 5cabd426 - 09/15/2021 10:34 AM - Katja Luther

fix #9747: add language detail element and smaller changes in menu

History

#1 - 09/07/2021 03:27 PM - Andreas Miiller

- Tags set to mexico

#2 - 09/13/2021 01:17 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|53e555624aa688350d4c89e43e8a3f172e534022.

#3 - 09/13/2021 01:20 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Mdiller

- Severity changed from normal to blocker

To add the language editor can be done in 5 minutes, but to allow the editing for non cdm languages and do not allow for cdm languages is a little bit
more difficult.
The actual implementation checks whether the vocabulary has titleCache "Languages (ISO 639-2)", maybe we should handle this more generic by a
flag for cdm vocabularies.

Please review the actual implementation

#4 - 09/14/2021 10:43 AM - Katja Luther

Now the implementation uses the cdmVocabularyUuid method.

#5 - 09/14/2021 09:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

The menu for vocabularies and term trees should use the same order. Please move the "language" menu item to the same position as in the term
tree menu.

#6 - 09/14/2021 09:44 PM - Andreas Miiller
- File picture451-1.png added
Minor issue:

There is a separator below "New" but no other group or item:

titled

Can we remove this.

Also for non-CDM vocabularies there are 2 separators between "New" and "Delete". One should be enough.

#7 - 09/14/2021 09:49 PM - Andreas Miller

Functionallity works and ticket can be closed.

However, the Language class has 1 more attribute iso639_1 which refers to the "ISO 639-1" id. Is it possible to add this field to the details view? Best
position would be below ID in vocabulary.
Is this easy to implement or should we open a new ticket?

#8 - 09/14/2021 09:51 PM - Andreas Miiller

According to commit 53e555624aa688 there is lots of commented code now in OpenDefinedTermEditorHandlerE4.java . Can this be removed or is it
still needed?

#9 - 09/15/2021 09:52 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Andreas Muller wrote:

According to commit 53e555624aa688 there is lots of commented code now in OpenDefinedTermEditorHandlerE4.java . Can this be removed or
is it still needed?

| already reverted the changes in this file, this will come with the changes of the character matrix and therefore the commented code will be removed.

#10 - 09/15/2021 10:34 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|5cabd426f71e5cc0254e32e414ff7afc26b92ed5.

#11 - 09/15/2021 10:35 AM - Katja Luther

Andreas Miller wrote:
Functionallity works and ticket can be closed.

However, the Language class has 1 more attribute is0639_1 which refers to the "ISO 639-1" id. Is it possible to add this field to the details view?
Best position would be below ID in vocabulary.
Is this easy to implement or should we open a new ticket?

This is fixed.

#12 - 09/15/2021 10:35 AM - Katja Luther

Andreas Muller wrote:

The menu for vocabularies and term trees should use the same order. Please move the "language” menu item to the same position as in the
term tree menu.

this is fixed

#13 - 09/15/2021 10:36 AM - Katja Luther

The doubled separators are removed. Please review.

#14 - 09/17/2021 10:43 AM - Andreas Miiller
- Related to bug #9766: CDM vocabularies should not be editable added

#15 - 09/17/2021 10:45 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 100

This works as expected.

For the disabling of other CDM vocabularies | added a new ticket. If disabling was easy to implement we could maybe try to solve this also in 5.27.

#16 - 09/21/2021 02:12 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
